%define subrel	1

Name:		luciole
Version:	0.8.2
Release:	%mkrel 5
Summary:	A stop motion software for animation movie realization
License:	GPLv3
Group:		Video/Utilities
Url:		http://festival.inattendu.org/Luciole-Linux
Source0:	http://launchpad.net/luciole/0.8/0.8.2/+download/%{name}_%{version}.tar.gz
Patch0:		luciole-0.8.2-use-system-default-theme.patch
# Since Pillow package the PIL modules now use relative imports between each other (fix mga#13217)
Patch1:		luciole-0.8.2-mga-fix-pillow-PIL-imports-modules.patch
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils

Requires:	pygtk2.0
Requires:	python-imaging
Requires:	gnome-python
Requires:	gnome-python-gnomevfs
Requires:	python-dbus
Requires:	gstreamer0.10-python
Requires:	pygtk2.0-libglade
Requires:	imagemagick
Requires:	mencoder
Requires:	ffmpeg
Requires:	mjpegtools
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
Suggests:	gtk-theme-clearlooks
Suggests:	murrine

%description
Luciole is a stop motion software for animation movie realization. It can make
live capture of images from external devices as webcam or DV cam.

%prep
%setup -q -n %{name}_%{version}
%patch0 -p0 -b .default-theme
%patch1 -p1

%install
#remove unneeded files
rm -f po/luciole*.po*
rm -f po/POTFILES.in po/createpot.py

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -rp images luciole.py templates ui luciole_lint.rc lucioLib po sounds themes _version.py %{buildroot}%{_datadir}/%{name}/

#create executable
cat > luciole  <<EOF
#!/bin/sh
 cd /usr/share/luciole
 exec python luciole.py
EOF
mkdir -p %{buildroot}%{_bindir}
install -m 755 luciole %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install	--remove-key=Encoding \
			--dir %{buildroot}%{_datadir}/applications \
			luciole.desktop

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -p images/luciole.xpm %{buildroot}%{_datadir}/pixmaps/

%files
%doc COPYING RELEASE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Wed Apr 16 2014 daviddavid <daviddavid> 0.8.2-5.1.mga4
+ Revision: 615262
- add Patch1 to fix PIL imports modules since Pillow package (mga#13217)
- update URL
- minor cosmetic change

* Fri Oct 18 2013 umeabot <umeabot> 0.8.2-5.mga4
+ Revision: 521474
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 0.8.2-4.mga3
+ Revision: 391011
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 23 2011 wally <wally> 0.8.2-3.mga2
+ Revision: 187056
- require gnome-python-gnomevfs (mga#3866)

* Sat May 14 2011 dmorgan <dmorgan> 0.8.2-2.mga1
+ Revision: 98299
- imported package luciole


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-2mdv2011.0
+ Revision: 612782
- the mass rebuild of 2010.1 packages

* Thu Feb 11 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.8.2-1mdv2010.1
+ Revision: 504027
- import luciole


